io.netty.handler.codec.mqtt

## Class MqttUnsubscribeMessage

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessage
  - - io.netty.handler.codec.mqtt.MqttUnsubscribeMessage

    public final class MqttUnsubscribeMessage
    extends MqttMessage

See MQTTV3.1/unsubscribe

### Field Summary

### Fields inherited from class io.netty.handler.codec.mqtt.MqttMessage

`DISCONNECT, PINGREQ, PINGRESP`

### Constructor Summary

Constructors
Constructor and Description
`MqttUnsubscribeMessage(MqttFixedHeader mqttFixedHeader, MqttMessageIdAndPropertiesVariableHeader variableHeader, MqttUnsubscribePayload payload)`
`MqttUnsubscribeMessage(MqttFixedHeader mqttFixedHeader, MqttMessageIdVariableHeader variableHeader, MqttUnsubscribePayload payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttMessageIdAndPropertiesVariableHeader` `idAndPropertiesVariableHeader()`
`MqttUnsubscribePayload` `payload()`
`MqttMessageIdVariableHeader` `variableHeader()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttMessage

`decoderResult, fixedHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttUnsubscribeMessage

    public MqttUnsubscribeMessage(MqttFixedHeader mqttFixedHeader,
                                  MqttMessageIdAndPropertiesVariableHeader variableHeader,
                                  MqttUnsubscribePayload payload)

#### MqttUnsubscribeMessage

    public MqttUnsubscribeMessage(MqttFixedHeader mqttFixedHeader,
                                  MqttMessageIdVariableHeader variableHeader,
                                  MqttUnsubscribePayload payload)

### Method Detail

#### variableHeader

    public MqttMessageIdVariableHeader variableHeader()

Overrides:
  `variableHeader` in class `MqttMessage`

#### idAndPropertiesVariableHeader

    public MqttMessageIdAndPropertiesVariableHeader idAndPropertiesVariableHeader()

#### payload

    public MqttUnsubscribePayload payload()

Overrides:
  `payload` in class `MqttMessage`